Package Details: python-spacy 3.7.3-1

Git Clone URL: https://aur.archlinux.org/python-spacy.git (read-only, click to copy)
Package Base: python-spacy
Description: Free open-source library for Natural Language Processing in Python
Upstream URL: https://github.com/explosion/spacy
Licenses: MIT
Submitter: crendel
Maintainer: jnphilipp
Last Packager: jnphilipp
Votes: 11
Popularity: 0.52
First Submitted: 2018-10-30 09:39 (UTC)
Last Updated: 2024-02-06 10:39 (UTC)

Sources (1)

Latest Comments

1 2 Next › Last »

jtiemer commented on 2023-10-02 12:03 (UTC)

I'm experiencing the same build error as with python-thinc. The Arch version of python-blis is too new to compile, so building without the --skip-dependency-check and --no-isolation flags is advised.

lmartinez-mirror commented on 2023-01-23 00:40 (UTC)

I am aware. I was working on packaging python-confection but it looks like crendel handled that for me (thanks btw). I'll be pushing 3.5.0 soon.

ruestique commented on 2022-12-24 03:47 (UTC)

File "/usr/lib/python3.10/site-packages/thinc/config.py", line 2, in <module> import confection ModuleNotFoundError: No module named 'confection'

wuxxin commented on 2022-03-30 13:05 (UTC)

hi, python-spacy depends on python-pathlib, which is included in python from 3.4 onwards. The python-pathlib version included breaks on python 3.10 with the following backtrace:

File "/usr/lib/python3.10/site-packages/pathlib.py", line 10, in <module> from collections import Sequence ImportError: cannot import name 'Sequence' from 'collections' (/usr/lib/python3.10/collections/init.py)

this includes all packages that import pathlib, which i found while using the lollypop music player

jnphilipp commented on 2021-11-11 10:53 (UTC)

spaCy now has langcodes as a requirement.

mSSM commented on 2021-03-24 10:43 (UTC)

Building spacy fails if python-pip is not installed. So in case build fails for you, try installing it. It should probably be added to the makedepends array.

crendel commented on 2021-03-07 18:04 (UTC)

@flipflop97: Could you please add python-jinja as a dep? Otherwise the spacy module can't be imported. Thanks for updating more frequently than I ever did! :)

owenc1172 commented on 2020-06-15 17:49 (UTC)

@Jont828 Yes, I just got it after trying to compile a package. Anyone have a fix?

Jont828 commented on 2020-06-15 02:38 (UTC) (edited on 2020-07-16 04:35 (UTC) by Jont828)

I've been getting the following error trying to upgrade to python-spacy-2.2.4. Is anyone else experiencing something similar?

Error compiling Cython file:
------------------------------------------------------------
...
        # and it doesn't matter that we create and discard the state objects.
        self.init_batch(docs)

        for doc in docs:
            beam = Beam(self.n_moves, beam_width, min_density=beam_density)
            beam.initialize(self.init_beam_state, self.del_beam_state,
                          ^
------------------------------------------------------------

transition_system.pyx:81:27: Call with wrong number of arguments (expected 4, got 5)
Traceback (most recent call last):
  File "/home/jont828/.cache/yay/python-spacy/src/spaCy-2.2.4/bin/cythonize.py", line 169, in <module>
    run(args.root)
  File "/home/jont828/.cache/yay/python-spacy/src/spaCy-2.2.4/bin/cythonize.py", line 158, in run
    process(base, filename, db)
  File "/home/jont828/.cache/yay/python-spacy/src/spaCy-2.2.4/bin/cythonize.py", line 124, in process
    preserve_cwd(base, process_pyx, root + ".pyx", root + ".cpp")
  File "/home/jont828/.cache/yay/python-spacy/src/spaCy-2.2.4/bin/cythonize.py", line 87, in preserve_cwd
    func(*args)
  File "/home/jont828/.cache/yay/python-spacy/src/spaCy-2.2.4/bin/cythonize.py", line 63, in process_pyx
    raise Exception("Cython failed")
Exception: Cython failed
Traceback (most recent call last):
  File "setup.py", line 200, in <module>
    setup_package()
  File "setup.py", line 188, in setup_package
    generate_cython(root, "spacy")
  File "setup.py", line 115, in generate_cython
    raise RuntimeError("Running cythonize failed")
RuntimeError: Running cythonize failed
==> ERROR: A failure occurred in package().
    Aborting...
error making: %!s(func() string=0x73a700)